Because of a bug in zlib, restrict deflate parameter to 9..15 for now.